Ticket #36802

activate を「アクションの実行」と翻訳する検討 および 2017.2 既存の翻訳の改良

Open Date: 2016-11-18 23:11 Last Update: 2017-04-11 11:12

Reporter: nishimoto Owner: nishimoto
Type: Patches Status: Closed
Component: 翻訳 MileStone: 2017.2 (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

activate は文脈によって複数の意味があるが、 マイクロソフトの用語に従って「アクティブ化」されている。

だが、たとえばフォームコントロールのデフォルトのアクションを実行するような場合 (マウスクリックに相当する操作を NVDA+Enter で行うなど) には「アクションの実行」という訳語が自然に思える。

(WEB+DB Press Vol.95 のアクセシビリティ特集でこの言葉が使われていた)

Attachment File List

No attachments

Ticket History (3/4 Histories)

2016-11-18 23:11 Updated by: nishimoto
  • New Ticket "activate を「アクションの実行」と翻訳する検討" created
2017-03-31 06:58 Updated by: nishimoto
  • Milestone Update from (None) to 2017.2 (closed)
  • Ticket Close date is changed to 2017-03-31 06:58
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed
Comment

Committed revision 32031

activate を「アクション実行」または「アクションの(を)実行」と翻訳、 ただし、設定プロファイルに関しては「アクティブ化」とする。

ついでに入力ヘルプで点字ディスプレイのキーを押したときのメッセージを 「システムキーボード上の」から「システムキーボードの」に変更。 JTalkだと「システムキーボードウエノ」と読み上げていた。

Index: nvda.po
===================================================================
--- nvda.po	(revision 32030)
+++ nvda.po	(working copy)
@@ -6,7 +6,7 @@
 "Project-Id-Version: NVDA bzr main:5884\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2017-03-31 00:10+1000\n"
-"PO-Revision-Date: 2017-03-17 12:01+0900\n"
+"PO-Revision-Date: 2017-03-31 06:52+0900\n"
 "Last-Translator: Takuya Nishimoto <nishimotz@gmail.com>\n"
 "Language-Team: NVDA Japanese Team <nishimotz@gmail.com>\n"
 "Language: ja\n"
@@ -807,7 +807,7 @@
 
 #. Translators: the description for the activatePosition script on browseMode documents.
 msgid "Activates the current object in the document"
-msgstr "ドキュメント内の現在のオブジェクトをアクティブ化"
+msgstr "ドキュメント内の現在のオブジェクトのアクション実行"
 
 #. Translators: Input help message for a quick navigation command in browse mode.
 msgid "moves to the next heading"
@@ -1279,7 +1279,7 @@
 #. Translators: The label of a button to activate an element
 #. in the browse mode Elements List dialog.
 msgid "&Activate"
-msgstr "アクティブ化(&A)"
+msgstr "アクションの実行(&A)"
 
 #. Translators: The label of a button to move to an element
 #. in the browse mode Elements List dialog.
@@ -3120,7 +3120,7 @@
 
 #. Translators: a message reported when the action at the position of the review cursor or navigator object is performed.
 msgid "Activate"
-msgstr "アクティブ化"
+msgstr "アクションの実行"
 
 #. Translators: the message reported when there is no action to perform on the review position or navigator object.
 msgid "No action"
@@ -3698,7 +3698,7 @@
 
 #. Translators: Input help mode message for a braille command.
 msgid "Routes the cursor to or activates the object under this braille cell"
-msgstr "カーソル移動または点字セルの位置のオブジェクトをアクティブ化"
+msgstr "カーソル移動または点字セルの位置のオブジェクトのアクション実行"
 
 #. Translators: Input help mode message for a braille command.
 msgid "Moves the braille display to the previous line"
@@ -4222,7 +4222,7 @@
 
 #, python-format
 msgid "Emulates pressing %s on the system keyboard"
-msgstr "システムキーボード上の%sを押す機能をエミュレート"
+msgstr "システムキーボードの%sを押す機能をエミュレート"
 
 #. Translators: This is spoken when NVDA moves to an empty line.
 #. Translators: This is spoken when the line is considered blank.
@@ -6289,7 +6289,7 @@
 
 #. Translators: The title of the confirmation dialog for manual activation of a created profile.
 msgid "Manual Activation"
-msgstr "手動アクティベーション"
+msgstr "手動アクティブ化"
 
 #. Translators: The title of the dialog presented while NVDA is being updated.
 msgid "Updating NVDA"
2017-04-11 11:06 Updated by: nishimoto
  • Summary Updated
Comment

入力ヘルプのメッセージで一貫性のない箇所を統一。

Index: nvda.po
===================================================================
--- nvda.po	(revision 32196)
+++ nvda.po	(working copy)
@@ -2528,7 +2528,7 @@
 "twice will spell the current line. Pressing three times will spell the line "
 "using character descriptions."
 msgstr ""
-"カーソルのある現在行の報告。2回押すと現在の行のスペルの報告。3回押すと文字説"
+"キャレットのある現在行の報告。2回押すと現在の行のスペルの報告。3回押すと文字説"
 "明で行を報告"
 
 #. Translators: Reported when left mouse button is clicked.
@@ -3133,7 +3133,7 @@
 msgid ""
 "Performs the default action on the current navigator object (example: "
 "presses it if it is a button)."
-msgstr "現在のナビゲーターオブジェクトの既定の動作の実行(例:ボタンを押す)"
+msgstr "現在のナビゲーターオブジェクトのアクション実行(例:ボタンを押す)"
 
 #. Translators: a message reported when review cursor is at the top line of the current navigator object.
 msgid "Top"
@@ -3728,7 +3728,7 @@
 "Reloads app modules and global plugins without restarting NVDA, which can be "
 "Useful for developers"
 msgstr ""
-"appモジュールおよびグローバルプラグインをNVDAを再起動しないで再読み込み(開発"
+"アプリモジュールおよびグローバルプラグインをNVDAを再起動しないで再読み込み(開発"
 "者向け機能)"
 
 #. Translators: Input help mode message for a touchscreen gesture.
2017-04-11 11:12 Updated by: nishimoto
Comment

関連してユーザーガイドも変更

Index: userGuide.t2t
===================================================================
--- userGuide.t2t	(revision 32196)
+++ userGuide.t2t	(working copy)
@@ -335,7 +335,7 @@
 | 次のオブジェクトに移動 | NVDA+テンキー6 | NVDA+Shift+右矢印 | 右フリック(オブジェクトモード) | 現在のナビゲーターオブジェクトの次にあるオブジェクトに移動します。 |
 | 最初の子オブジェクトに移動 | NVDA+テンキー2 | NVDA+Shift+下矢印 | 下フリック(オブジェクトモード) | 現在のナビゲーターオブジェクトの最初の子オブジェクトに移動します。 |
 | フォーカスのあるオブジェクトに移動 | NVDA+テンキーマイナス | NVDA+Backspace | なし | 現在フォーカスのあるオブジェクトに移動し、もし表示されている場合はレビューカーソルをキャレット位置へ移動します。 |
-| 現在のナビゲーターオブジェクトを実行 | NVDA+テンキーEnter | NVDA+Enter | ダブルタップ | 現在のナビゲーターオブジェクトを実行します (フォーカスされている時にマウスでクリックしたり、スペースキーを押す動作と同等です) |
+| 現在のナビゲーターオブジェクトの実行 | NVDA+テンキーEnter | NVDA+Enter | ダブルタップ | 現在のナビゲーターオブジェクトのアクションを実行します (フォーカスされている時にマウスでクリックしたり、スペースキーを押す動作と同等です) |
 | フォーカスまたはキャレットを現在のレビュー位置に移動 | NVDA+Shift+テンキーマイナス | NVDA+Shift+Backspace | なし | 1回押された場合はフォーカスを現在のナビゲーターオブジェクトに移動し、2回押された場合はキャレットをレビューカーソル位置に移動します。 |
 | レビューカーソルの位置情報の報告 | NVDA+テンキーDelete | NVDA+Delete | なし | レビューカーソルのテキストやオブジェクトの位置を報告します。例えばドキュメント全体におけるパーセント表示、ページの端からの距離、画面の中の正確な座標などです。2回押すと詳細な情報を報告します。 |
 %kc:endInclude
@@ -2190,7 +2190,7 @@
 | 点字表示を前の行に移動 | T1 |
 | 点字表示を次の行に移動 | T5 |
 | 点字セルに移動 | タッチカーソル |
-| 現在のナビゲーターオブジェクトをアクティブ化 | T3 |
+| 現在のナビゲーターオブジェクトの実行 | T3 |
 | 次のレビューモードに切替 | F1 |
 | 外側のオブジェクトに移動 | F2 |
 | 前のレビューモードに切替 | F3 |

Edit

Please login to add comment to this ticket » Login